﻿/**********************************************************************
 * Styles.css                                                         *
 *                                                                    *
 * This file is initially empty and you can add any additional styles *
 * or modify any of the styles defined in BaseStyles.css              *
 * This file will never be overwritten.                               *
 *                                                                    *
 * For example, if you want to override just the top padding for a    *
 * menu, you can simply add the following lines:                      *
 *                                                                    *
 * .menus {                                                           *
 * 	padding-top: 20px;                                            *
 * 	}                                                             *
 *                                                                    *
 * This will keep all the other styles of the "menus" style as-is,    *
 * but modify the top padding to be 20px.                             *
 *                                                                    *
 * You can also, add a new style by just specifying it.               *
 *                                                                    *
 * .menus {                                                           *
 * 	padding-top: 20px;                                            *
 * 	text-align: center;                                           *
 * 	}                                                             *
 * 	                                                              *
 * In the above case, we added the text-align style.  This style was  *
 * not specified in the original declaration of the menus style.      *
 *                                                                    *
 **********************************************************************/

/**********************************************************************
 * Panel Body Styles                                                  *
 **********************************************************************/
.dialogHeaderEdgeL, .dhel { /* panel header left edge */
	width: 0px;
	}

.dialogHeaderEdgeR, .dher { /* panel header right edge */
	width: 0px;
	}

.dialog_header, .dh { /* panel header container */
	background-color: #f0f2ea;
	border: 0px;
	vertical-align: top;
	}

.dialogHeaderBackground, .dhb { /* panel header */
	padding-bottom: 6px;
	padding-left: 6px;
	padding-right: 10px;
	padding-top: 6px;
	}

.dialog_header_text, .dht { /* panel header title text */
	color: #679438;
	font-family: Trebuchet MS, Arial, Verdana, Geneva, ms sans serif;
	font-size: 16px;
	font-weight: normal;
	padding-left: 5px;
	white-space: nowrap;
	}

.dheci { /* padding around panel expand/collapse icon */
	padding-left: 10px;
	}

.dhir { /* padding between panel header title text and edit icon */
	padding-left: 6px;
	}

.dialog_body, .dBody { /* panel content container (excludes panel header) */ 
	color: #101010;
	font-family: Trebuchet MS, Arial, Verdana, Geneva, ms sans serif;
	font-size: 14px;
	padding: 10px;
	text-align: left;	
	}
	
.field_label, .fl { /* field label on top */
	color: #8f8f8f;
	font-family: Trebuchet MS, Arial, Verdana, Geneva, ms sans serif;
	font-size: 14px;
	font-weight: normal;
	padding-top: 4px;
	padding-right: 4px;
	padding-bottom: 0px;
	padding-left: 4px;
	text-align: left;
	vertical-align: middle;
	white-space: nowrap;	
	}

.field_label_on_side, .fls { /* field label on side */
	color: #8f8f8f;
	font-family: Trebuchet MS, Arial, Verdana, Geneva, ms sans serif;
	font-size: 14px;
	font-weight: normal; 
	padding-top: 4px;
	padding-right: 2px;
	padding-bottom: 8px;
	padding-left: 4px;
	text-align: right;
	vertical-align: top;
	white-space: nowrap;	
	}

.field_value, .fv { /* field value */
	font-family: Trebuchet MS, Arial, Verdana, Geneva, ms sans serif;
	font-size: 14px;
	padding: 0px;
	}

.field_input, .fi { /* input textbox */
	font-family: Trebuchet MS, Arial, Verdana, Geneva, ms sans serif;
	font-size: 14px;
	vertical-align: top;
	}

.dialog_field_value, .dfv { /* panel field value text */
	font-family: Trebuchet MS, Arial, Verdana, Geneva, ms sans serif;
	font-size: 14px;
	padding-top: 4px;
	padding-right: 4px;
	padding-bottom: 8px;
	padding-left: 4px;
	vertical-align: top;
	}

.Filter_Input, .fili { /* filter drop-down list */
	border-bottom: 1px #eeeeee solid;
	border-left: 1px #555555 solid;
	border-right: 1px #eeeeee solid;
	border-top: 1px #555555 solid;
	font-family: Trebuchet MS, Arial, Verdana, Geneva, ms sans serif;
	font-size: 14px;
	margin-bottom: 4px;
	margin-left: 2px;
	margin-right: 2px;
	}

.filter_area, .fila { /* filter label */
	font-family: Trebuchet MS, Arial, Verdana, Geneva, ms sans serif;
	font-size: 14px;
	padding: 4px 7px 4px 7px;
	text-align: right;
	vertical-align: middle;
	white-space: nowrap;	
	}
	
.search_area, .sa { /* search area container */
	font-family: Trebuchet MS, Arial, Verdana, Geneva, ms sans serif;
	font-size: 14px;
	padding-top: 5px;
	padding-bottom: 2px;
	}

.search_label, .sl { /* search label */
	font-family: Trebuchet MS, Arial, Verdana, Geneva, ms sans serif;
	font-size: 14px;
	padding: 5px;
	vertical-align: middle;
	white-space: nowrap;	
	}

.rangeFilterText, .rft { /* range filter label */
	color: #666666;
	font-family: Trebuchet MS, Arial, Verdana, Geneva, ms sans serif;
	font-size: 14px;
	font-weight: normal;
	padding-left: 6px;
	padding-right: 6px;
	text-decoration: none;
	text-transform: none;
	}



/**********************************************************************
 * Table Rows Styles                                                  *
 **********************************************************************/ 
.header_cell,
.header_cell_scrolling,
.thc,
.thcs,
.thcnb,
.thcwb { /* column header container (above select checkbox) */
	background-color: #fafafa;	
	border-bottom: 1px solid #f0f2ea;
	color: *#777777;
	font-family: Trebuchet MS, Arial, Verdana, Geneva, ms sans serif;
	font-size: 14px;
	font-weight: normal;
	padding-bottom: 5px;
	padding-left: 6px;
	padding-right: 6px;
	padding-top: 5px;
	text-align: left;
	vertical-align: top;
	}

.column_header a,
.column_header_scrolling a,
.tch a,
.tchs a { /* column header link text */
	color: #016000; /*#666666;*/
	cursor: pointer !important;
	font-family: Trebuchet MS, Arial, Verdana, Geneva, ms sans serif;
	font-size: 14px;
	font-weight: normal;
	text-decoration: none;
	} 
	
.column_header a:hover,
.column_header_scrolling a:hover,
.tch a:hover,
.tchs a:hover { /* column header link text hover state */
	text-decoration: underline;
	}

.icon_cell, .alt_icon_cell, .tic, .taic { /* deprecated: data grid row button container */
	background-color: #ffffff;
	border-bottom: 1px solid #d7d7d7;
	border-top: 1px solid #ffffff;
	padding-top: 3px;
	vertical-align: top;
	width: 16px;
	}

.icon_cell_highlighted, .alt_icon_cell_highlighted, .tich, .taich { /* deprecated: data grid row button container highlighted state */
	background-color: #f0f2ea;
	border-bottom: 1px solid #d7d7d7;
	border-top: 1px solid #ffffff;
	padding-top: 3px;
	vertical-align: top;
	width: 16px;
	}

.icon_cell_selected, .tics { /* deprecated: data grid row button container selected state */
	background-color: #fdfff7;
	border-bottom: 1px solid #d7d7d7;
	border-top: 1px solid #ffffff;
	padding-top: 3px;
	vertical-align: top;
	width: 16px;
	}

.ticnb { /* data grid row button container */
	background-color: #ffffff;
	border-bottom: 1px solid #d7d7d7;
	border-top: 1px solid #ffffff;
	padding-left: 2px;
	padding-top: 3px;
	vertical-align: top;
	width: 16px;
	}

.tichnb { /* data grid row button container highlighted state */
	background-color: #f0f2ea;
	border-bottom: 1px solid #d7d7d7;
	border-top: 1px solid #ffffff;
	padding-left: 2px;
	padding-top: 3px;
	vertical-align: top;
	width: 16px;
	}

.ticsnb { /* data grid row button container selected state */
	background-color: #fdfff7;
	border-bottom: 1px solid #d7d7d7;
	border-top: 1px solid #ffffff;
	padding-left: 2px;
	padding-top: 3px;
	vertical-align: top;
	width: 16px;
	}
	
.ticwb { /* data grid select checkbox container */
	background-color: #ffffff;
	border-bottom: 1px solid #d7d7d7;
	border-top: 1px solid #ffffff;
	padding-top: 3px;
	vertical-align: top;
	width: 16px;
	}

.tichwb { /* data grid select checkbox container highlighted state */
	background-color: #f0f2ea;
	border-bottom: 1px solid #d7d7d7;
	border-top: 1px solid #ffffff;
	padding-top: 3px;
	vertical-align: top;
	width: 16px;
	}

.ticswb { /* data grid select checkbox container selected state */
	background-color: #fdfff7;
	border-bottom: 1px solid #d7d7d7;
	border-top: 1px solid #ffffff;
	padding-top: 3px;
	vertical-align: top;
	width: 16px;
	}

.tichb { /* data grid right-most row button container (when no select checkbox is present) */
	background-color: #ffffff;
	border-bottom: 1px solid #d7d7d7;
	border-top: 1px solid #ffffff;
	padding-top: 3px;
	vertical-align: top;
	width: 16px;
	}

.tichhb { /* data grid right-most row button container (when no select checkbox is present) highlighted state */
	background-color: #f0f2ea;
	border-bottom: 1px solid #d7d7d7;
	border-top: 1px solid #ffffff;
	padding-top: 3px;
	vertical-align: top;
	width: 16px;
	}

.ticshb { /* data grid right-most row button container (when no select checkbox is present) selected state */
	background-color: #fdfff7;
	border-bottom: 1px solid #d7d7d7;
	border-top: 1px solid #ffffff;
	padding-top: 3px;
	vertical-align: top;
	width: 16px;
	}
			
.icon_cell_empty, .tice { /* data grid row button container (when no row button is present) */
	background-color: #ffffff;
	border-bottom: 1px solid #d7d7d7;
	border-top: 1px solid #ffffff;
	width: 0px;
	}

.icon_cell_highlighted_empty, .tiche { /* data grid row button container (when no row button is present) highlighted state */
	background-color: #f0f2ea;
	border-bottom: 1px solid #d7d7d7;
	border-top: 1px solid #ffffff;
	width: 0px;
	}

.icon_cell_selected_empty, .ticse { /* data grid row button container (when no row button is present) selected state */
	background-color: #fdfff7;
	border-bottom: 1px solid #d7d7d7;
	border-top: 1px solid #ffffff;
	width: 0px;
	}
	
.table_cell, .alt_table_cell, .ttc, .tatc { /* data grid data container */
	background-color: *#ffffff;
	border-bottom: 1px solid #d7d7d7;
	border-top: 1px solid #ffffff;
	font-family: Trebuchet MS, Arial, Verdana, Geneva, ms sans serif;
	font-size: 14px;
	padding: 5px;
	vertical-align: top;
	text-align: left;
	}

.table_cell_highlighted, .alt_table_cell_highlighted, .ttch, .tatch { /* data grid data container highlighted state */
	background-color: #f0f2ea;
	border-bottom: 1px solid #d7d7d7;
	border-top: 1px solid #ffffff;
	font-family: Trebuchet MS, Arial, Verdana, Geneva, ms sans serif;
	font-size: 14px;
	padding: 5px;
	vertical-align: top;
	text-align: left;
	}

.table_cell_selected, .ttcs { /* data grid data container selected state */
	background-color: #fdfff7;
	border-bottom: 1px solid #d7d7d7;
	border-top: 1px solid #ffffff;
	font-family: Trebuchet MS, Arial, Verdana, Geneva, ms sans serif;
	font-size: 14px;
	padding: 5px;
	vertical-align: top;
	text-align: left;
	}

.ttc .dv, .ttch .dv, .ttcs .dv { /* panel container nested within data grid */
	margin: 0px;
	padding: 0px;
	}

.ttc .ajax__tab_xp, .ttch .ajax__tab_xp, .ttcs .ajax__tab_xp { /* tab container nested within data grid */
	margin: 0px;
	padding: 0px;
	}

.totals_cell, .tpttc { /* data grid totals container */
	background-color: #ffffff;
	font-family: Trebuchet MS, Arial, Verdana, Geneva, ms sans serif;
	font-size: 14px;
	padding: 5px;
	text-align: left;
	vertical-align: top;
	width: 48px;
	}

.totals_cell_value, .tpttcv { /* data grid totals text */
	background-color: #ffffff;
	font-family: Trebuchet MS, Arial, Verdana, Geneva, ms sans serif;
	font-size: 14px;
	padding: 5px;
	text-align: right;
	vertical-align: top;
	}

.page_total_label, .tptl { /* data grid page totals label */
	font-family: Trebuchet MS, Arial, Verdana, Geneva, ms sans serif;
	font-size: 14px;
	padding-left: 20px;
	vertical-align: middle;
	white-space: nowrap;	
	}

.page_total_value, .tptv { /* data grid page totals text */
	font-family: Trebuchet MS, Arial, Verdana, Geneva, ms sans serif;
	font-size: 14px;
	padding: 3px;
	}

.grand_total_label, .tgtl { /* data grid grand total label */
	font-family: Trebuchet MS, Arial, Verdana, Geneva, ms sans serif;
	font-size: 14px;
	padding-left: 20px;
	vertical-align: middle;
	white-space: nowrap;	
	}

.grand_total_value, .tgtv { /* data grid grand total text */
	font-family: Trebuchet MS, Arial, Verdana, Geneva, ms sans serif;
	font-size: 14px;
	font-weight: normal;
	padding: 3px;
	}

.tableCellLabel {/* table cell field label text */
	color: #8f8f8f;
	font-family: Trebuchet MS, Arial, Verdana, Geneva, ms sans serif;
	font-size: 13px;
	padding-bottom: 0px;
	padding-left: 6px;
	padding-right: 2px;
	padding-top: 8px;
	text-align: right;
	vertical-align: top;
	white-space: nowrap;	
	}

.tableCellValue { /* table cell field value text */
	color:  #101010;
	font-family: Trebuchet MS, Arial, Verdana, Geneva, ms sans serif;
	font-size: 13px;
	padding-bottom: 0px;
	padding-left: 4px;
	padding-right: 4px;
	padding-top: 8px;
	vertical-align: top;
	}

.tableRowDivider {
	border-bottom: 1px solid #d7d7d7;
	height: 10px;
	}

.tableRowButton {
	padding-left: 2px;
	padding-top: 8px;
	vertical-align: top;
	width: 16px;
	}

.tableCellSelectCheckbox {
	padding-left: 6px;
	padding-top: 5px;
	vertical-align: top;
	width: 16px;
	}

.tableRowsEdge, .tre { /* data grid container */
	}

